<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-捕获</title>
	<style type="text/css">
		#div1{
			position: absolute;
			width: 200px;
			height:200px;
			background: red;
			border: 1px solid red;
		}
	</style>
	<script type="text/javascript">	
		 
		window.onload=function(){
				//获取鼠标的位置 
			function getPos(oEvent){
				var scrollTop=document.documentElement.scrollTop||document.body.scrollTop;
				var scrollLeft=document.documentElement.scrollLeft||document.body.scrollLeft;
				return {x:oEvent.clientX+scrollLeft,y:oEvent.clientY+scrollTop}
			};
			var disX=0;
			var disY=0;
			var oDiv=document.getElementById('div1');

			if(oDiv.setCapture){
				oDiv.onmousedown=function(ev){
					
					var oEvent=ev||event;
					disX=oEvent.clientX-oDiv.offsetLeft;
					disY=oEvent.clientY-oDiv.offsetTop;
					
					oDiv.onmousemove=function(ev){
					var oEvent=ev||event;
					var pos=getPos(oEvent);			
					var l=oEvent.clientX-disX;
					var t=oEvent.clientY-disY;
					var r=document.documentElement.clientWidth-oDiv.offsetWidth;
					var b=document.documentElement.clientHeight-oDiv.offsetHeight;
					if(l<0){
						l=0;
					}else if(l>r){
						l=r;
					}
					if(t<0){
						t=0;
					}else if(t>b){
						t=b;
					}
					oDiv.style.left=l+'px';
					oDiv.style.top=t+'px';
					};
					oDiv.onmouseup=function(){
						oDiv.onmousemove=null;
						oDiv.onmouseup=null;
						// 释放捕获
						oDiv.releaseCapture();
					};
					// 设置一个事件捕获
					oDiv.setCapture();
			   };
		    }else{
				oDiv.onmousedown=function(ev){
					var oEvent=ev||event;
					disX=oEvent.clientX-oDiv.offsetLeft;
					disY=oEvent.clientY-oDiv.offsetTop;
					// document.title=pos.x+","+pos.y;
					document.onmousemove=function(ev){
					var oEvent=ev||event;
					var pos=getPos(oEvent);			
					var l=oEvent.clientX-disX;
					var t=oEvent.clientY-disY;
					var r=document.documentElement.clientWidth-oDiv.offsetWidth;
					var b=document.documentElement.clientHeight-oDiv.offsetHeight;
					if(l<0){
						l=0;
					}else if(l>r){
						l=r;
					}
					if(t<0){
						t=0;
					}else if(t>b){
						t=b;
					}
					oDiv.style.left=l+'px';
					oDiv.style.top=t+'px';
					};
					document.onmouseup=function(){
						document.onmousemove=null;
						document.onmouseup=null;
					};
					return false;//FF Chrome IE9
				};
			}
			
		};
	</script>
</head>
<body>
	<div id="box">
		adfahfahfdha<br>
		<div id="div1">
		asdhfaifh
		</div><br>
		hfaidhia
	</div>
</body>
</html>